// nunchuk interface
// OpenRadioControl
// (C) BritishIdeas.com 2011 andy@britishideas.com
// This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License
// http://creativecommons.org/licenses/by-nc-sa/3.0/
// THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
// OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
// BRITISHIDEAS SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL, OR
// CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
// $Id: nunchuk.h 393 2011-10-17 21:38:31Z andy $

#ifndef _NUNCHUKH_
#define _NUNCHUKH_

#if USENUNCHUK

// initializes the nunchuk module and performs handshake with nunchuk
extern void Nunchuk_Init
  (
	void
	);

// read current values from nunchuk
// takes about 1.3ms to execute
extern void Nunchuk_Read
  (
  int16_t *JoystickX,                                      // -100 to +100
  int16_t *JoystickY,                                      // -100 to +100
  int16_t *NunchukX,                                       // -100 (left) to +100 (right)
  int16_t *NunchukY,                                       // -100 (level) to +100 (pointing up)
  boolean_t *CButton,                                      // true if pressed
  boolean_t *ZButton                                       // true if pressed
  );

#endif // USENUNCHUK

#endif // _NUNCHUKH_
